﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void xamDataGrid1_FieldPositionChanged(object sender, Infragistics.Windows.DataPresenter.Events.FieldPositionChangedEventArgs e)
        {
           //3 Other columns can be fixed.
           // ensure that the first filed name will be always on first place
            if (e.Field.ActualPosition.Column == 0)
            {
                xamDataGrid1.FieldLayouts[0].Fields["name"].ActualPosition = new Infragistics.Windows.DataPresenter.FieldPosition(0, 0, 1, 1);
                xamDataGrid1.FieldLayouts[0].EnsureUniqueFieldPositions();
            }
        }

        private void xamDataGrid1_FieldPositionChanging(object sender, Infragistics.Windows.DataPresenter.Events.FieldPositionChangingEventArgs e)
        {
            //1 One particular column (let's call it A) must always remain the left-most column.
            //2 Other columns can be fixed.

            if (e.Field.Name == "name")
            {
                e.Cancel = true;
            }
        }
    }
}
